<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="41" short-name="game-of-annihilation" url="https://polygon.codeforces.com/p6RIV0Q/tourist/game-of-annihilation">
    <names>
        <name language="english" value="Game of Annihilation"/>
        <name language="russian" value="Игра в аннигиляцию"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/russian/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/.html/russian/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>160</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=2 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=2 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=2 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=3 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=3 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=3 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=4 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=4 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=4 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=5 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=5 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=5 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=6 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=6 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=6 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=7 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=7 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=7 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=8 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=8 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=8 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=9 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=9 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=9 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=10 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=10 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=10 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=11 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=11 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=11 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=12 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=12 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=12 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=48 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=48 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=48 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=195 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=195 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=195 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=781 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=781 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=781 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=3125 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=3125 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=3125 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=12500 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=12500 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=12500 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=50000 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=50000 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=50000 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=increasing -number_of_chips=200000 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=decreasing -number_of_chips=200000 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=few_chips -order_type=jumping -number_of_chips=200000 -upper_coordinate_bound=1000000 -upper_total_n_bound=200000 -upper_n_bound=200000 -lower_n_tests_bound=1 -upper_n_tests_bound=10000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=10000 -upper_n_tests_bound=10000 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=10000 -upper_n_tests_bound=10000 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=10000 -upper_n_tests_bound=10000 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=5000 -upper_n_tests_bound=5000 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=5000 -upper_n_tests_bound=5000 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=5000 -upper_n_tests_bound=5000 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=2500 -upper_n_tests_bound=2500 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=2500 -upper_n_tests_bound=2500 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=2500 -upper_n_tests_bound=2500 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=1250 -upper_n_tests_bound=1250 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=1250 -upper_n_tests_bound=1250 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=1250 -upper_n_tests_bound=1250 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=625 -upper_n_tests_bound=625 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=625 -upper_n_tests_bound=625 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=625 -upper_n_tests_bound=625 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=313 -upper_n_tests_bound=313 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=313 -upper_n_tests_bound=313 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=313 -upper_n_tests_bound=313 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=157 -upper_n_tests_bound=157 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=157 -upper_n_tests_bound=157 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=157 -upper_n_tests_bound=157 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=79 -upper_n_tests_bound=79 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=79 -upper_n_tests_bound=79 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=79 -upper_n_tests_bound=79 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=40 -upper_n_tests_bound=40 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=40 -upper_n_tests_bound=40 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=40 -upper_n_tests_bound=40 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=20 -upper_n_tests_bound=20 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=20 -upper_n_tests_bound=20 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=20 -upper_n_tests_bound=20 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=10 -upper_n_tests_bound=10 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=10 -upper_n_tests_bound=10 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=10 -upper_n_tests_bound=10 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=5 -upper_n_tests_bound=5 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=5 -upper_n_tests_bound=5 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=5 -upper_n_tests_bound=5 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=3 -upper_n_tests_bound=3 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=3 -upper_n_tests_bound=3 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=3 -upper_n_tests_bound=3 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=2 -upper_n_tests_bound=2 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=2 -upper_n_tests_bound=2 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=2 -upper_n_tests_bound=2 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=500000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=random -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=999000 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=199000 -upper_total_n_bound=200000" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=0 -upper_reached_bound=0 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=0 -upper_reached_bound=0 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=1 -upper_reached_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=1 -upper_reached_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=2 -upper_reached_bound=2 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=2 -upper_reached_bound=2 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=3 -upper_reached_bound=3 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=3 -upper_reached_bound=3 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=4 -upper_reached_bound=4 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=last_moment -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=4 -upper_reached_bound=4 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-4 -upper_frequent_bound=-4 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-4 -upper_frequent_bound=-4 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-3 -upper_frequent_bound=-3 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-3 -upper_frequent_bound=-3 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-2 -upper_frequent_bound=-2 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-2 -upper_frequent_bound=-2 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-4 -upper_reached_bound=-4 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=-3 -upper_frequent_bound=-3 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=-3 -upper_frequent_bound=-3 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=-2 -upper_frequent_bound=-2 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=-2 -upper_frequent_bound=-2 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-3 -upper_reached_bound=-3 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=-2 -upper_frequent_bound=-2 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=-2 -upper_frequent_bound=-2 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-2 -upper_reached_bound=-2 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -lower_frequent_bound=-1 -upper_frequent_bound=-1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=-1 -upper_reached_bound=-1 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=0 -upper_reached_bound=0 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=0 -upper_reached_bound=0 -lower_frequent_bound=0 -upper_frequent_bound=0 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=0 -upper_reached_bound=0 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=0 -upper_reached_bound=0 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=1 -upper_reached_bound=1 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=0 -max_blue_victories=0" method="generated"/>
                <test cmd="game-of-annihilation_mi_generate -type=frequently_near -lower_n_tests_bound=1 -upper_n_tests_bound=1 -lower_m_bound=1 -upper_m_bound=1000000 -lower_coordinate_bound=1 -lower_upper_coordinate_bound=999900 -upper_upper_coordinate_bound=1000000 -lower_total_n_bound=200000 -upper_total_n_bound=200000 -lower_reached_bound=1 -upper_reached_bound=1 -lower_frequent_bound=1 -upper_frequent_bound=1 -min_blue_victories=1 -max_blue_victories=1" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/game-of-annihilation_mi_check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/game-of-annihilation_mi_check.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/game-of-annihilation_mi_generate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/game-of-annihilation_mi_generate.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/game-of-annihilation_mi_validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/game-of-annihilation_mi_validate.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/game-of-annihilation_mi_check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>6</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="wrong-answer"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/game-of-annihilation_mi_validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/game-of-annihilation_mi_validate.exe" type="exe.win32"/>
                <testset>
                    <test-count>18</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/290694689_zidder_wa11.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290694689_zidder_wa11.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290695307_zidder_wa11.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290695307_zidder_wa11.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290696376_zidder_wa11.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290696376_zidder_wa11.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290698368_zidder_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290698368_zidder_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290846769_ikrpprppp_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290846769_ikrpprppp_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290870057_smalyarovsky_shevlopmes_TimDee_wa11.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290870057_smalyarovsky_shevlopmes_TimDee_wa11.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290870538_smalyarovsky_wa11.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290870538_smalyarovsky_wa11.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291139725_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291139725_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/game-of-annihilation_mi_counting_sort_bugs_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_counting_sort_bugs_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/game-of-annihilation_mi_counting_sort_negbug_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_counting_sort_negbug_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/game-of-annihilation_mi_counting_sort_rightmost_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_counting_sort_rightmost_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/game-of-annihilation_mi_counting_sort_wrong_bools_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_counting_sort_wrong_bools_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/game-of-annihilation_mi_std_sort_1b1_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_1b1_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/game-of-annihilation_mi_std_sort_forget_end_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_forget_end_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_ignore_chip_ne_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_ignore_chip_ne_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/game-of-annihilation_mi_std_sort_ignore_chip_ne_fe_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_ignore_chip_ne_fe_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_npremat_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_npremat_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_premat1_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_premat1_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_premat2_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_premat2_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_premat3_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_premat3_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_premat_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_premat_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_right_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_right_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_right_cycles_csharp.cs" type="csharp.mono"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_right_cycles_csharp.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_right_cycles_go.go" type="go"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_right_cycles_go.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_right_cycles_nodef_cpp11.cpp" type="cpp.g++14"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_right_cycles_nodef_cpp11.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_right_cycles_pypy.py" type="python.pypy3-64"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_right_cycles_pypy.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_right_cycles_python.py" type="python.3"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_right_cycles_python.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_rightmost_bug_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_rightmost_bug_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_rightmost_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_rightmost_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_rightmost_overflow_cpp23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_rightmost_overflow_cpp23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_bg2_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_bg2_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_bug_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_bug_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nA_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nA_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nB_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nB_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nC_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nC_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nD_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nD_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nE_cpp11_as_23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/game-of-annihilation_mi_std_sort_worst_cycles_nE_cpp11_as_23.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <documents>
        <document path="documents/description.txt" type="text/plain"/>
        <document path="documents/tutorial.txt" type="text/plain"/>
    </documents>
    <tags>
        <tag value="game"/>
        <tag value="prefix sums"/>
    </tags>
</problem>
